package com.greenorange.promotion.model.dto.advancementApply;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Min;
import lombok.Data;
import java.math.BigDecimal;

import java.io.Serial;
import java.io.Serializable;

/**
 * 晋升申请添加请求体
 */
@Data
@Schema(description = "晋升申请添加请求体", requiredProperties = {
                "name",
                "verificationCode"
})
public class AdvancementApplyAddRequest implements Serializable {

    /**
     * 申请人姓名
     */
    @NotBlank(message = "申请人姓名不能为空")
    @Schema(description = "申请人姓名", example = "张三")
    private String name;

    /**
     * 申请人手机号
     */
    @NotBlank(message = "申请人手机号不能为空")
    @Schema(description = "申请人手机号", example = "15888610253")
    private String phone;

    /**
     * 验证码
     */
    @NotBlank(message = "验证码不能为空")
    @Schema(description = "验证码", example = "666999")
    private String verificationCode;

    /**
     * 简历(view值)
     */
    @NotBlank(message = "简历(view值)不能为空")
    @Schema(description = "简历(view值)", example = "D89SKF3N")
    private String resume;


    @Serial
    private static final long serialVersionUID = 1L;
}

