package com.greenorange.promotion.model.dto.advancementApply;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Min;
import lombok.Data;
import java.math.BigDecimal;

import java.io.Serial;
import java.io.Serializable;
import com.greenorange.promotion.common.PageRequest;

/**
 * 晋升申请查询请求体，继承自分页请求 PageRequest
 */
@Data
@Schema(description = "晋升申请查询请求体", requiredProperties = {"current", "pageSize"})
public class AdvancementApplyQueryRequest extends PageRequest implements Serializable {

    /**
     * 申请人姓名
     */
    @Schema(description = "申请人姓名", example = "张三")
    private String name;

    /**
     * 申请人手机号
     */
    @Schema(description = "申请人手机号", example = "15888610253")
    private String phone;

    /**
     * 审核状态
     */
    @Schema(description = "审核状态", example = "待审核")
    private String reviewStatus;


    @Serial
    private static final long serialVersionUID = 1L;
}

