package com.greenorange.promotion.model.dto.advancementApply;

import com.greenorange.promotion.annotation.EnumValue;
import com.greenorange.promotion.model.enums.UserRoleEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 晋升申请拒绝请求体
 */
@Data
@Schema(description = "晋升申请拒绝请求体", requiredProperties = {
        "applyId",
        "rejectReason"
})
public class AdvancementApplyRejectRequest implements Serializable {

    /**
     * 晋升申请id
     */
    @Min(value = 1, message = "晋升申请id不能小于1")
    @Schema(description = "晋升申请id", example = "1")
    private Long applyId;

    /**
     * 拒绝理由
     */
    @NotBlank(message = "拒绝理由不能为空")
    @Schema(description = "拒绝理由", example = "拒绝理由")
    private String rejectReason;


    @Serial
    private static final long serialVersionUID = 1L;
}
