package com.greenorange.promotion.model.dto.courseOrder;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 课程订单添加请求体
 */
@Data
@Schema(description = "课程订单添加请求体", requiredProperties = {
                "courseId"
})
public class CourseOrderAddRequest implements Serializable {

//    /**
//     * 订单号
//     */
//    @NotBlank(message = "订单号不能为空")
//    @Schema(description = "订单号", example = "202506241339232334d234234243")
//    private String orderNumber;

    /**
     * 课程ID
     */
    @Min(value = 1L, message = "课程ID ID不能小于1")
    @Schema(description = "课程ID", example = "1")
    private Long courseId;

//    /**
//     * 课程名称
//     */
//    @NotBlank(message = "课程名称不能为空")
//    @Schema(description = "课程名称", example = "数据分析工程师训练营")
//    private String name;
//
//    /**
//     * 课程类别
//     */
//    @NotBlank(message = "课程类别不能为空")
//    @Schema(description = "课程类别", example = "自媒体")
//    private String type;
//
//    /**
//     * 课程封面图片URL
//     */
//    @NotBlank(message = "课程封面图片URL不能为空")
//    @Schema(description = "课程封面图片URL", example = "38EFJID33")
//    private String image;
//
//    /**
//     * 课程原价
//     */
//    @Schema(description = "课程原价", example = "20.00")
//    private BigDecimal originPrice;
//
//    /**
//     * 折扣价格
//     */
//    @Schema(description = "折扣价格", example = "80.00")
//    private BigDecimal discountPrice;
//
//    /**
//     * 订单总金额
//     */
//    @Schema(description = "订单总金额", example = "80.00")
//    private BigDecimal totalAmount;
//
//    /**
//     * 支付交易号
//     */
//    @NotBlank(message = "支付交易号不能为空")
//    @Schema(description = "支付交易号", example = "432332333324444444444444423")
//    private String transactionNumber;
//
//    /**
//     * 订单状态
//     */
//    @NotBlank(message = "订单状态不能为空")
////    @EnumValue(enumClass = CourseOrderStatusEnum.class)
//    @Schema(description = "订单状态", example = "order")
//    private String orderStatus;


    @Serial
    private static final long serialVersionUID = 1L;
}

