package com.greenorange.promotion.model.dto.projectCommission;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Min;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 项目明细抽佣更新请求体
 */
@Data
@Schema(description = "项目明细抽佣更新请求体", requiredProperties = {
                "id",
                "currentCommissionRate"
})
public class ProjectCommissionUpdateRequest implements Serializable {

    /**
     * 抽佣记录ID
     */
    @Min(value = 1L, message = "抽佣记录ID ID不能小于1")
    @Schema(description = "抽佣记录ID", example = "1")
    private Long id;


    /**
     * 当前抽佣比例
     */
    @Min(value = 0L, message = "抽佣比例不能小于0")
    @Schema(description = "当前抽佣比例", example = "5")
    private BigDecimal currentCommissionRate;


    @Serial
    private static final long serialVersionUID = 1L;
}