package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 晋升申请表
 * @TableName advancement_apply
 */
@TableName(value ="advancement_apply")
@Data
public class AdvancementApply implements Serializable {
    /**
     * 晋升申请id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 申请人姓名
     */
    private String name;

    /**
     * 申请人手机号
     */
    private String phone;

    /**
     * 简历
     */
    private String resume;

    /**
     * 查询凭证
     */
    private String credential;

    /**
     * 审核状态
     */
    private String reviewStatus;

    /**
     * 拒绝理由
     */
    private String rejectReason;

    /**
     * 用户id(申请成功后获得)
     */
    private Long userId;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}