package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 课程表
 * @TableName course
 */
@TableName(value ="course")
@Data
public class Course implements Serializable {
    /**
     * 课程ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 课程名称
     */
    private String name;

    /**
     * 课程类别[考公,财经]
     */
    private String type;

    /**
     * 课程概述（富文本）
     */
    private String detail;

    /**
     * 课程图片URL
     */
    private String image;

    /**
     * 课程原价
     */
    private BigDecimal originPrice;

    /**
     * 折扣价格
     */
    private BigDecimal discountPrice;

    /**
     * 已下单人数
     */
    private Integer orderCount;

    /**
     * 是否上架(true:上架，false:下架)
     */
    private Boolean isShelves;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}