package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 课程订单表
 * @TableName course_order
 */
@TableName(value ="course_order")
@Data
public class CourseOrder implements Serializable {
    /**
     * 订单ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 订单号
     */
    private String orderNumber;

    /**
     * 课程ID
     */
    private Long courseId;

    /**
     * 课程名称
     */
    private String name;

    /**
     * 课程类别
     */
    private String type;

    /**
     * 课程封面图片URL
     */
    private String image;

    /**
     * 课程原价
     */
    private BigDecimal originPrice;

    /**
     * 折扣价格
     */
    private BigDecimal discountPrice;

    /**
     * 订单总金额
     */
    private BigDecimal totalAmount;

    /**
     * 支付交易号
     */
    private String transactionNumber;

    /**
     * 订单状态[交易关闭,交易成功,待支付,已退款]
     */
    private String orderStatus;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}