package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 文件上传列表
 * @TableName file_info
 */
@TableName(value ="file_info")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class FileInfo implements Serializable {
    /**
     * 文件ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 文件名
     */
    private String name;

    /**
     * 文件类型
     */
    private String type;

    /**
     * 文件大小(KB)
     */
    private Double size;

    /**
     * 文件view值
     */
    private String fileView;

    /**
     * 文件业务类型[头像(avatar)|项目(project)|富文本(richText)|默认(default))]
     */
    private String biz;

    /**
     * 文件hash值
     */
    private String hashValue;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}