package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 课程抽成记录表
 * @TableName rake_reward
 */
@TableName(value ="rake_reward")
@Data
public class RakeReward implements Serializable {
    /**
     * 抽成记录ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 课程ID
     */
    private Long courseId;

    /**
     * 课程名称
     */
    private String name;

    /**
     * 课程类别
     */
    private String type;

    /**
     * 课程图片URL
     */
    private String image;

    /**
     * 一级佣金比例（%）
     */
    private BigDecimal firstLevelRate;

    /**
     * 二级佣金比例（%）
     */
    private BigDecimal secondLevelRate;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 下单用户ID
     */
    private Long userId;

    /**
     * 下单用户昵称
     */
    private String nickName;

    /**
     * 订单金额
     */
    private BigDecimal totalAmount;

    /**
     * 订单创建日期
     */
    private Date orderCreateTime;

    /**
     * 对应推广记录ID
     */
    private Long promoId;

    /**
     * 推广类型
     */
    private Object promoType;

    /**
     * 抽成补贴金额
     */
    private BigDecimal reward;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}