package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 用户主要信息表
 * @TableName user_main_info
 */
@TableName(value ="user_main_info")
@Data
public class UserMainInfo implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 团队人数（不包括自己）
     */
    private Integer teamSize;

    /**
     * 给上级带来的收益
     */
    private BigDecimal parentEarnings;

    /**
     * 当前余额
     */
    private BigDecimal currentBalance;

    /**
     * 提现中的金额
     */
    private BigDecimal withdrawalAmount;

    /**
     * 已提现的金额
     */
    private BigDecimal withdrawnAmount;

    /**
     * 累计收入
     */
    private BigDecimal totalIncome;

    /**
     * 统一抽佣比例
     */
    private BigDecimal uniteRate;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 邀请二维码
     */
    private String inviteQrCode;

    /**
     * 团队收益
     */
    private BigDecimal teamEarnings;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}