package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 提现申请记录表
 * @TableName withdrawal_apply
 */
@TableName(value ="withdrawal_apply")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class WithdrawalApply implements Serializable {
    /**
     * 提现申请ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 提现金额
     */
    private BigDecimal withdrawnAmount;

    /**
     * 提现状态[提现中(processing)|提现成功(success)|提现失败(failed)]
     */
    private String withdrawalStatus;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 持卡人
     */
    private String cardHolder;

    /**
     * 身份证号
     */
    private String idCardNumber;

    /**
     * 手机号
     */
    private String phoneNumber;

    /**
     * 银行卡号
     */
    private String bankCardNumber;

    /**
     * 开户银行
     */
    private String openBank;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}