package com.greenorange.promotion.model.vo.advancementApply;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 晋升申请审核结果 视图对象
 */
@Data
@Schema(description = "晋升申请审核结果 视图对象")
public class AdvancementApplyApproveVO implements Serializable {

    /**
     * 申请人姓名
     */
    @Schema(description = "申请人姓名", example = "张三")
    private String name;

    /**
     * 申请人手机号
     */
    @Schema(description = "申请人手机号", example = "15888610253")
    private String phone;

    /**
     * 审核状态
     */
    @Schema(description = "审核状态", example = "待审核")
    private String reviewStatus;

    /**
     * 拒绝理由
     */
    @Schema(description = "拒绝理由", example = "无")
    private String rejectReason;

    /**
     * 账号
     */
    @Schema(description = "账号", example = "qingcheng")
    private String userAccount;


    /**
     * 密码（建议加密存储）
     */
    @Schema(description = "密码（建议加密存储）", example = "qingcheng")
    private String userPassword;


    @Serial
    private static final long serialVersionUID = 1L;

}
