package com.greenorange.promotion.model.vo.advancementApply;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.UUID;

/**
 * 晋升申请 视图对象
 */
@Data
@Schema(description = "晋升申请 视图对象")
public class AdvancementApplyVO implements Serializable {

    /**
     * 晋升申请ID
     */
    @Schema(description = "晋升申请ID", example = "1")
    private Long id;

    /**
     * 申请人姓名
     */
    @Schema(description = "申请人姓名", example = "张三")
    private String name;

    /**
     * 申请人手机号
     */
    @Schema(description = "申请人手机号", example = "15888610253")
    private String phone;

    /**
     * 简历(view值)
     */
    @Schema(description = "简历(view值)", example = "32DK8DKL8")
    private String resume;

    /**
     * 查询凭证
     */
    @Schema(description = "查询凭证", example = "cef281c7-578f-4cc9-aca9-f1b5f6bcacb1")
    private String credential;

    /**
     * 审核状态
     */
    @Schema(description = "审核状态", example = "待审核")
    private String reviewStatus;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间", example = "2023-03-01 00:00:00")
    private Date createTime;


    @Serial
    private static final long serialVersionUID = 1L;
}
