package com.greenorange.promotion.model.vo.courseOrder;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 课程订单卡片 视图对象
 */
@Data
@Schema(description = "课程订单卡片 视图对象")
public class CourseOrderCardVO implements Serializable {


    /**
     * 课程订单ID
     */
    @Schema(description = "课程订单ID", example = "1")
    private Long id;

    /**
     * 订单号
     */
    @Schema(description = "订单号", example = "202506241339232334d234234243")
    private String orderNumber;

    /**
     * 课程名称
     */
    @Schema(description = "课程名称", example = "数据分析工程师训练营")
    private String name;

    /**
     * 课程类别
     */
    @Schema(description = "课程类别", example = "自媒体")
    private String type;

    /**
     * 订单总金额
     */
    @Schema(description = "订单总金额", example = "100.00")
    private BigDecimal totalAmount;

    /**
     * 订单状态[交易关闭,交易成功,待支付,已退款]
     */
    @Schema(description = "订单状态[交易关闭,交易成功,待支付,已退款]", example = "交易成功")
    private String orderStatus;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间", example = "2025-06-24 13:39:23")
    private Date createTime;

}
