package com.greenorange.promotion.model.vo.fundsChange;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 资金变动记录 视图对象
 */
@Data
@Schema(description = "资金变动记录 视图对象")
public class FundsChangeVO implements Serializable {

    /**
     * 资金变动记录ID
     */
    @Schema(description = "资金变动记录ID", example = "1")
    private Long id;

    /**
     * 项目名称
     */
    @Schema(description = "项目名称", example = "饿了么-超吃卡")
    private String projectName;

    /**
     * 项目明细名称
     */
    @Schema(description = "项目明细名称", example = "2.9元购买30元券包")
    private String projectDetailName;

    /**
     * 变动金额
     */
    @Schema(description = "变动金额", example = "0.96")
    private BigDecimal changeAmount;

    /**
     * 当前金额（变动后的总金额）
     */
    @Schema(description = "当前金额（变动后的总金额）", example = "0.34")
    private BigDecimal currentAmount;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间", example = "2023-02-01 09:09:09")
    private Date createTime;


    @Serial
    private static final long serialVersionUID = 1L;
}
