package com.greenorange.promotion.model.vo.projectCommission;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 项目明细抽佣 视图对象
 */
@Data
@Schema(description = "项目明细抽佣 视图对象")
public class ProjectCommissionVO implements Serializable {

    /**
     * 项目ID
     */
    @Schema(description = "项目ID", example = "1")
    private Long projectId;

    /**
     * 项目名称
     */
    @Schema(description = "项目名称", example = "美团省钱包")
    private String projectName;

    /**
     * 项目图片URL
     */
    @Schema(description = "项目图片URL", example = "8E9WE24M")
    private String projectImage;

    /**
     * 项目结算周期
     */
    @Schema(description = "项目结算周期", example = "2")
    private Integer projectSettlementCycle;

    /**
     * 项目明细列表
     */
    @Schema(description = "项目明细列表")
    private List<ProjectDetailCommissionVO> projectDetailCommissionVOList;


    @Serial
    private static final long serialVersionUID = 1L;
}
