package com.greenorange.promotion.model.vo.projectSettlement;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Min;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@Schema(description = "项目结算记录 视图对象")
public class MiniProjectSettlementVO implements Serializable {

    /**
     * 推广码申请ID
     */
    @Schema(description = "推广码申请ID", example = "1")
    private Long promoCodeApplyId;

    /**
     * 业务员姓名
     */
    @Schema(description = "业务员姓名", example = "chenxinzhi")
    private String salespersonName;

    /**
     * 项目明细名称
     */
    @Schema(description = "项目明细名称", example = "2.9元购买30元券包")
    private String projectDetailName;

    /**
     * 结算数量
     */
    @Schema(description = "结算数量", example = "2")
    private Integer settlementQuantity;

    /**
     * 结算收益
     */
    @Schema(description = "结算收益", example = "2.34")
    private BigDecimal settlementRevenue;

    /**
     * 作业时间
     */
    @Schema(description = "作业时间", example = "2025-05-10")
    private String workTime;

    /**
     * 结算时间
     */
    @Schema(description = "结算时间", example = "2025-05-12")
    private String settlementTime;

    /**
     * 收益来源（true:抽成，false：推广码）
     */
    @Schema(description = "收益来源（true:抽成，false：推广码）", example = "false")
    private Boolean revenueSource;


    @Serial
    private static final long serialVersionUID = 1L;
}
