package com.greenorange.promotion.model.vo.promoCode;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 推广码 视图对象
 */
@Data
@Schema(description = "推广码 视图对象")
public class PromoCodeVO implements Serializable {

    /**
     * 推广码ID
     */
    @Schema(description = "推广码ID", example = "1")
    private Long id;

    /**
     * 推广码信息key
     */
    @Schema(description = "推广码信息key", example = "ykxy227")
    private String promoCodeInfoKey;

    /**
     * 推广码链接
     */
    @Schema(description = "推广码链接", example = "mp://y04CZgGkCBmIaZd")
    private String promoCodeLink;

    /**
     * 推广码图片
     */
    @Schema(description = "推广码图片", example = "http://xxx.png")
    private String promoCodeImage;

    /**
     * 项目ID
     */
    @Schema(description = "项目ID", example = "1")
    private Long projectId;

    /**
     * 推广码状态(true:占用，false:空闲)
     */
    @Schema(description = "推广码状态(true:占用，false:空闲)", example = "false")
    private Boolean promoCodeStatus;


    @Serial
    private static final long serialVersionUID = 1L;
}
