package com.greenorange.promotion.model.vo.userProject;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 用户项目 视图对象
 */
@Data
@Schema(description = "用户项目 视图对象")
public class UserProjectVO implements Serializable {

    /**
     * 用户项目ID
     */
    @Schema(description = "用户项目ID", example = "1")
    private Long id;

    /**
     * 项目ID
     */
    @Schema(description = "项目ID", example = "${field.example}")
    private Long projectId;

    /**
     * 项目名称
     */
    @Schema(description = "项目名称", example = "${field.example}")
    private String projectName;

    /**
     * 项目图片URL
     */
    @Schema(description = "项目图片URL", example = "${field.example}")
    private String projectImage;

    /**
     * 项目结算周期
     */
    @Schema(description = "项目结算周期", example = "${field.example}")
    private Integer projectSettlementCycle;


    @Serial
    private static final long serialVersionUID = 1L;
}
